Name:          bounce
Version:       0.18
Release:       %mkrel 1
Summary:       Java Swing extensions
Group:         Development/Java
License:       BSD
Url:           http://www.edankert.com/bounce/
# svn co https://bounce.svn.sourceforge.net/svnroot/bounce bounce-0.18
# tar czf bounce-0.18-src-svn.tar.gz bounce-0.18
Source0:       bounce-0.18-src-svn.tar.gz
Patch0:        bounce-0.18-pom.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: junit

BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-plugin-jxr
BuildRequires: maven-site-plugin
BuildRequires: maven-surefire-report-plugin
BuildRequires: maven-skins
BuildRequires: taglist-maven-plugin

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
A set of Java and Swing extensions, including ... layout managers like a FormLayout and
CenterLayout, image filters, a comprehensive messaging mechanism, a XMLEditorKit with
syntax highlighting and automatic indentation and more.

%package javadoc
Summary:       API documentation for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains Maven plugin for %{name}

%prep
%setup -q -n bounce-%{version}

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done

%patch0 -p0

%build

mvn-rpmbuild install -Dmaven.test.failure.ignore=true javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc license.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Thu Nov 10 2011 gil <gil> 0.18-1.mga2
+ Revision: 166025
- imported package bounce

